﻿Install-Module -Name Az.Cosmosdb
Import-Module -Name Az 
Connect-AzAccount

$resourceGroupName = "dp-900"
$locations = @("West US 2", "East US 2")
$accountName = "dp900cosmosdb"
$apiKind = "Sql"
$consistencyLevel = "Session"

New-AzCosmosDBAccount `
    -ResourceGroupName $resourceGroupName `
    -Location $locations `
    -Name $accountName `
    -ApiKind $apiKind `
    -EnableAutomaticFailover:$true `
    -DefaultConsistencyLevel $consistencyLevel `
    -EnableFreeTier:$true

$databaseName="dp900cosmossql"
New-AzCosmosDBSqlDatabase `
   -ResourceGroupName $resourceGroupName `
   -AccountName $accountName `
   -Name $databaseName
  

  Get-AzCosmosDBSqlDatabase -ResourceGroupName $resourceGroupName -AccountName $accountName
  Get-AzCosmosDBAccount -ResourceGroupName $resourceGroupName
